​
Select Service
ves-io-schema-authentication-API-Replace
Published April 5, 2023 | Last modified May 20, 2026
Examples of replacing authentication
Usecase:
Replace apigw-config-1
Request using vesctl:
vesctl configuration replace authentication -i authentication.yaml
where file authentication.yaml has following contents (authentication.ReplaceRequest):
RequestJSON:
{ "metadata": { "name": "apigw-1", "namespace": "documentation" }, "spec": { "oidc_auth": { "oidc_well_known_config_url": "https://www.google.com/well_known/config", "oidc_client_id": "oidc-google-clientid", "client_secret": { "clear_secret_info": { "url": "string://\u003cbase64\u003e" } } }, "cookie_params": { "cookie_refresh_interval": 5000, "cookie_expiry": 5600, "session_expiry": 6600 } }}vesctl yaml response: None
Request using curl:
curl -X 'PUT' -d '{"metadata":{"name":"apigw-1","namespace":"documentation"},"spec":{"oidc_auth":{"oidc_well_known_config_url":"https://www.google.com/well_known/config","oidc_client_id":"oidc-google-clientid","client_secret":{"clear_secret_info":{"url":"string://\u003cbase64\u003e"}}},"cookie_params":{"cookie_refresh_interval":5000,"cookie_expiry":5600,"session_expiry":6600}}}' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/authentications/apigw-1'curl response:
HTTP/1.1 200 OKContent-Length: 4Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:07 GMTVary: Accept-Encoding
{
}